"""make_login_log_user_id_nullable

Revision ID: 6b662a8c5235
Revises: 8aa6d3a9e501
Create Date: 2026-07-17 08:53:24.448043
"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa

revision: str = '6b662a8c5235'
down_revision: Union[str, None] = '8aa6d3a9e501'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.alter_column('login_logs', 'user_id',
                    existing_type=sa.Uuid(),
                    nullable=True)


def downgrade() -> None:
    op.alter_column('login_logs', 'user_id',
                    existing_type=sa.Uuid(),
                    nullable=False)
